__gnu_cxx::array_allocator< _Tp, _Array > Class Template Reference
Utilities » Memory » Allocators
Inheritance diagram for __gnu_cxx::array_allocator< _Tp, _Array >:
[legend]

## Public Types

typedef _Array | array_type
typedef const _Tp * | const_pointer
typedef const _Tp & | const_reference
typedef ptrdiff_t | difference_type
typedef std::true_type | is_always_equal
typedef _Tp * | pointer
typedef std::true_type | propagate_on_container_move_assignment
typedef _Tp & | reference
typedef size_t | size_type
typedef _Tp | value_type

## Public Member Functions

| array_allocator (array_type *__array=0) noexcept
| array_allocator (const array_allocator &__o) noexcept
template<typename _Tp1 , typename _Array1 >
| array_allocator (const array_allocator< _Tp1, _Array1 > &) noexcept
pointer | address (reference __x) const noexcept
const_pointer | address (const_reference __x) const noexcept
pointer | allocate (size_type __n, const void *=0)
template<typename _Up , typename... _Args>
void | construct (_Up *__p, _Args &&... __args)
void | deallocate (pointer, size_type)
template<typename _Up >
void | destroy (_Up *__p)
size_type | max_size () const noexcept

## Detailed Description

### template<typename _Tp, typename _Array = std::tr1::array<_Tp, 1>>
class __gnu_cxx::array_allocator< _Tp, _Array >

An allocator that uses previously allocated memory. This memory can be externally, globally, or otherwise allocated.

Definition at line 110 of file array_allocator.h.

The documentation for this class was generated from the following file:

- array_allocator.h